Skip to content

Update Rule

POST /rest/asset/v1/smartList/{id}/rule/{ruleId}.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/smartList/{id}/rule/{ruleId}.json
Tag: Smart Lists
Operation ID: updateSmartListRuleUsingPOST

Updates an existing smart list rule. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int64) Yes Id of the smart list
ruleId integer (int64) Yes Id of the rule

Form-data parameters

Name Type Required Description Constraints
attributeId.id integer (int32) Yes Id of the attribute to set
attributeId.type string Yes Type of the attribute to set enum: activity, attribute
values string Yes JSON array of values, for example ["San Francisco"]
operator string No Comparison operator, for example 'is', 'is not', 'contains', 'starts with'

Example request

POST {{base_url}}/rest/asset/v1/smartList/{{id}}/rule/{{ruleId}}.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json

attributeId.id={{attributeId.id}}
attributeId.type=activity
values={{values}}
operator={{operator}}

Responses

200 — OK

Schema: model: ResponseOfSmartListResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "name": "Example name",
      "description": "string",
      "createdAt": "2026-01-15T10:30:00Z",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "workspace": "string"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.